Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.ptoca
Class LineDataInfoProducer

    java.lang.Object
      org.apache.fop.afp.ptoca.LineDataInfoProducer

All Implemented Interfaces:
  PtocaConstants, PtocaProducer

public class LineDataInfoProducer
extends java.lang.Object
implements PtocaProducer, PtocaConstants

`PtocaProducer` implementation that interprets `AFPLineDataInfo` objects.

Field Summary

Fields inherited from interface org.apache.fop.afp.ptoca.PtocaConstants
`AMB, AMI, CHAIN_BIT, DBR, DIR, ESCAPE, NOP, RMI, SCFL, SEC, SIA, STO, SVI, TRANSPARENT_DATA_MAX_SIZE, TRN`

Constructor Summary
`LineDataInfoProducer(AFPLineDataInfo lineDataInfo)` Main constructor.

Method Summary
`void` | `produce(PtocaBuilder builder)` Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineDataInfoProducer

    public LineDataInfoProducer(AFPLineDataInfo lineDataInfo)

  Main constructor.

Parameters:
  `lineDataInfo` - the info object

Method Detail

### produce

    public void produce(PtocaBuilder builder)
                 throws java.io.IOException

  Produces the PTOCA control sequences by calling methods on `PtocaBuilder`.

  Specified by:
    `produce` in interface `PtocaProducer`
  Parameters:
    `builder` - the builder object
  Throws:
    `java.io.IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.